## net.i2p.router.message
Class SendGarlicJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.message.SendGarlicJob

All Implemented Interfaces:
  Job

    public class SendGarlicJob

extends JobImpl

Build a garlic message from config, encrypt it, and enqueue it for delivery.

Constructor Summary
`SendGarlicJob(RouterContext ctx, GarlicConfig config, Job onSend, Job onSendFailed, ReplyJob onReply, Job onReplyFailed, long timeoutMs, int priority, MessageSelector replySelector)`
`SendGarlicJob(RouterContext ctx, GarlicConfig config, Job onSend, Job onSendFailed, ReplyJob onReply, Job onReplyFailed, long timeoutMs, int priority, MessageSelector replySelector, SessionKey wrappedKey, java.util.Set wrappedTags)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendGarlicJob

    public SendGarlicJob(RouterContext ctx,
                         GarlicConfig config,
                         Job onSend,
                         Job onSendFailed,
                         ReplyJob onReply,
                         Job onReplyFailed,
                         long timeoutMs,
                         int priority,
                         MessageSelector replySelector)

Parameters:
  `config` - ???
  `onSend` - after the ping is successful
  `onSendFailed` - after the ping fails or times out
  `onReply` - ???
  `onReplyFailed` - ???
  `timeoutMs` - how long to wait before timing out
  `priority` - how high priority to send this test
  `replySelector` - ???

### SendGarlicJob

    public SendGarlicJob(RouterContext ctx,
                         GarlicConfig config,
                         Job onSend,
                         Job onSendFailed,
                         ReplyJob onReply,
                         Job onReplyFailed,
                         long timeoutMs,
                         int priority,
                         MessageSelector replySelector,
                         SessionKey wrappedKey,
                         java.util.Set wrappedTags)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.